Page MenuHomePhabricator

Remove search placeholder for Opera Mini
Closed, ResolvedPublic

Description

I tried searching on en.wiktionary.org and en.m.wiktionary.org but it's frustrating because one first has to delete the "Search" or "Search Wiktionary" text. Opera Mini doesn't support placeholders, see T98829 and T70758.

I think we should just leave the search bar empty for Opera Mini.


See Also: T128232: [Bug] Search bar clipped for lower end mobile devices

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added projects: MediaWiki-Search, Vector.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a project: Discovery. · View Herald TranscriptAug 22 2015, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nemo_bis set Security to None.
Florian added a subscriber: Florian.Sep 3 2015, 7:05 PM
Jdlrobson triaged this task as Normal priority.Oct 26 2015, 6:57 PM
Jdlrobson added a subscriber: Jdlrobson.
Isarra moved this task from Backlog to Bugs on the Vector board.Apr 7 2016, 1:13 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 7 2016, 1:13 AM
Jdlrobson lowered the priority of this task from Normal to Low.Jun 30 2016, 8:58 PM

We don't running JS on Opera Mini. If placeholders are showing this is likely to be a browser specific issue. Is this still a problem?

We don't running JS on Opera Mini. If placeholders are showing this is likely to be a browser specific issue. Is this still a problem?

@Nemo_bis: Do you know?

Peter added a comment.Aug 25 2016, 9:05 AM

Yes it's still there for Opera Mini. When you want to do a search, you need to first delete what's in the search box. On english Wikipedia that is "Search Wikipedia" by default.

We serve the no Javascript version so as Jon said I think it's Opera Mini thing. The quick fix is to leave it blank.

The quick fix is to leave it blank.

Should be ok.

Krinkle added a subscriber: Krinkle.

Untagging Vector. Vector JavaScript is only active in Grade A browsers, which either support placeholder natively or are supported by our shim. Opera Mini is a Grade C browsers in which the search field for Vector simply has no placeholder text and is just regular input field that is empty by default with a magnifying class to the side.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 31 2017, 7:20 AM
Peter added a comment.Mar 31 2017, 8:53 AM

Yep, it is blank now. It wasn't before though as you see in my screenshots.

If so, please re-add Vector and close resolved. Thanks.

Krinkle added a comment.EditedApr 1 2017, 8:56 PM

If so, please re-add Vector and close resolved. Thanks.

This bug could never have existed in Vector.

Krinkle closed this task as Resolved.Apr 1 2017, 8:57 PM
Krinkle claimed this task.

Verified fixed in mobile and desktop site for Wiktionary with Opera Mini 24.